# Number of Charged SG.H when routing into [SG.S] > Pull > [SG.H]x3 > 6H/5H > Toss > 6H

- This assumes we are close to the corner.

- Standard ender used is `6H > Pull Berry`, unless specified the contrary.

- To reduce opponent height, after pulling berry (`SG.S > 236P`) we can delay the next `SG.H`, this is specially relevant against lightweights, where they might be too high to combo normally, or we might have raised them through hits.

- As per the moment combos mainly only been tested on Sol, unless specified the contrary.

- Dash micro optimization (`66 6H/5H > 2Toss`) is very important for consistency. We as well can perform a dash optimization with the ender `6H` (`66 6H`).

[//]: # (- `5H > 2Toss` results in less pushback than `6H > 2Toss`, therefore it's more consistent, the damage variation is slight &#40;10+/-&#41;, most of the situations `6H > 2Toss` will result in slight more damage than with `5H > 2Toss`, but certain specific situations `5H > 2Toss` will result in irrelevant more damage &#40;1-2 extra damage&#41;.)

## When to use 6H or 5H before 2Toss?

- `6H` generally speaking deals more damage than `5H`, usually with a damage variation of 10 +/-. On lightweights `5H` can result on a damage increase of 1-3.

- `6H` results in substantially more pushback than `5H`, which results on berry hitting on later frames, this is as well accentuated when the opponent is located at lower heights, as if they were located in a higher position, berry might have time to hit the opponent before they touch the ground. This pushback can be compensated with the micro-dash optimization (`66 6H 2Toss`), yet can still be inconsistent depending on the opponent height/hurtbox.

- `6H` pushes the opponent down, which on situations where the opponent is too close to the ground might make the combo drop, but on situations where the opponent is too high it might be helpful.

- `5H` results in less pushback than `6H` is more consistent, while still allowing for dash micro optimization for extra consistency (`66 5H > 2Toss`).

- With `6H` pushback, on lightweights and Venom due to smaller hurtbox berry can harder to hit, therefore it's recommended to use `5H`.

- When using `6H` on heavyweights, even if their hurtbox is bigger, it can still be hard to hit the berry before they touch the ground, as generally speaking will have a height closer to the ground compared to other wieghtclasses, therefore it's recommended to use `5H` for consistency.

- Both 5H and 6H allows for dash micro optimization (`66 6H/5H > 2Toss`)

TLDR:

- `5H` is more consistent than `6H`.
- Use `5H` on everyone including Venom, and excluding the rest of midweights.
- Use `6H` on midweights excluding Venom, yet if the situation looks too tight, you can use `5H`.
- Dash optimization is relevant on both normals (`66 6H/5H > 2Toss`).




## Chart

| Setup before charged SG.H                    | Damage  (sol 100%) | n. `[SG.H]`              | Notes                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | Link                                                            |
|:---------------------------------------------|:-------------------|:-------------------------|:--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|:----------------------------------------------------------------|
| CH 6H                                        | 242                | 3                        | Standard next to the wall                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   | https://fireshare.fihome.xyz/w/404c8b61851e998f4aebb445d4ec936c |
| CH 6H > SG.S                                 | 232 (*242)         | 2 (*3)                   | This route deals less damage than when using the route `CH 6H > SG.S > Bridal`, therefore it's recommended to use that one instead of this one. When the wall spacing is a bit sus. After the 6H we can do a small walkforward to gain a little bit more of wall proximity, it can also act as a framekill since we are waiting for the opponent to fall a bit lower, otherwise SG.S goes under. Technically 3 Reps can be done but requires us to be close to the wall since stun scaling goes tied to time in the combo. On the scenarios where we want to do this route we can do 2 `[SG.H]`, on the scenarios where we can do 3 `[SG.H]` we would be using the route without the `SG.S` | https://fireshare.fihome.xyz/w/b61b1e40025236144fdb4ccd3adcbb03 |
| CH 6H > SG.S > Bridal                        | 243                | 2                        | When the wall spacing is substantial. Does 1 point more of damage than the raw `6H > Loop` route, for consistency/standardization/simplification this route can be used as a default, tho it generates a lil' bit more of Burst gauge, meanwhile it's negligible can be taken into account, specially when it only differs by 1 of damage.                                                                                                                                                                                                                                                                                                                                                  | https://fireshare.fihome.xyz/w/a2113ff9e721cc9dd71afd21ce011421 |
| Antiair CH c.S                               | 265                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/32dcba00554ef4435a89ed7949f3992b |
| Antiair CH c.S > SG.S                        | 262                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/ab422b04b204235ae8446a6f05bb25ef |
| Antiair CH c.S > SG.S > Bridal               | 264                | 2                        | Substantially more range than the previous route with 2 extra damage. Recommended this over only performing the `SG.S`.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | https://fireshare.fihome.xyz/w/e29f2fcc0e96fc7701695bd28cf8bcf0 |
| CH 2H                                        | 236                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/235db979d73aaa2ccf2f63875f4ba3df |
| CH 2H > [SG.H] > SG.S                        | 218                | 0                        | No shotgun loops.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | https://fireshare.fihome.xyz/w/09b3956da5985620048f33e42e6b56b2 |
| CH 2H > [SG.H] > SG.S                        | 225                | 1                        | Veeery hard. (imo)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | https://fireshare.fihome.xyz/w/08fcc27c737cff1e224e0d172535e45d |
| CH 2H > [SG.H] > SG.S > Bridal               | 234                | 1                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/a153168b22299a5fbeefaca88cecb95b |
| j.D YRC (Wall point blank)                   | 277                | 4                        | Requires being next to the wall as there isn't much room for walking up.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | https://fireshare.fihome.xyz/w/5268c5b494a0faa60a2af797ff59d98e |
| j.D YRC (lowest height possible)             | 277                | 4                        | When done at the lowest height possible, allows for a little bit of 66 input before pulling shotgun for extra closeness to the opponent/wall.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               | https://fireshare.fihome.xyz/w/29db6455c26b6d33a133a247eeaa6cbc |
| j.D YRC > 2H                                 | 258                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/045738309f0d6bcd6c68afb745f70415 |
| 2D > Bridal RC                               | 243                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/ef3a9880e26e756ba753d428d0b67d5f |
| 6P > Bridal RC                               | 181                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/558a4c48185731ce0934d3645b30a384 |
| 2D (Cooked berry setup)                      | 273                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/676829e4b320391d6fb16d821f7276e4 |
| 6P (Cooked berry setup)                      | 210                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/3874a00f700ebb8e9f3844d2f885624f |
| j.H (Cooked berry setup)                     | 271                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/0c8cd69ea87036f47954fc80094781d0 |
| 5D                                           | 172                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/29cd4f8dede99df099ea7b2b233a3339 |
| CH c.S > 5D                                  | 205                | 2                        | Characters that require dash momentum (66) when did the `CH c.S` point blank: Sol, Ramlethal, Johnny, Millia, Slayer, Axl, Venom                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | https://fireshare.fihome.xyz/w/64be4dd85a314b5693fe706144e7f276 |
| Raw [SG.H]                                   | 277                | *4 (3+starter)           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/dfb7e77ac07a976a95e00988f6c5a6a5 |
| Raw CH [SG.H]                                | 277                | *4 (3+starter)           |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/520a19741496f3e19072608e51704587 |
| SG.S                                         | 229                | 4                        | 3 is far more stable than 4.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                | https://fireshare.fihome.xyz/w/5a6adcd32e49d157a53d70b5ae88ca6a |
| Raw CH SG.H (uncharged)                      | 247                | 3                        | Requires to be next to the wall.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | https://fireshare.fihome.xyz/w/dac6d43fc2d74b8d83c786d7d0b6244d |
| Raw CH SG.H (uncharged) > 2H (vs Baiken)     | 246 (Baiken)       | 2                        | 2 hits feel very inconsistent, therefore better do 1 if anything.  2H Pickup doesn't works on all lightweights. Works on: Baiken, May, Ino, Elphelt, Jack-O, Jam, Dizzy                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     | https://fireshare.fihome.xyz/w/5f4476005896b83e216bb3185b69a3ee |
| Antiair CH SG.S                              | 229                | 4                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/3da4ae9c136bb1ba97255405eaec20f1 |
| Antiair CH SG.S > Bridal                     | 232                | 3                        | This route doesn't require microwalks if we are close enough to the wall, and deals a bit more of damage than the route from above, therefore better use this route.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                        | https://fireshare.fihome.xyz/w/040e360598f65c7037d688c197ece041 |
| SG.D                                         | ---                | ----                     | Midweights (and up) are **too heavy**.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | ---                                                             |
| SG.D (Lightweights)   (vs Millia)            | 200   <br/>        | 2                        | This route doesn't require microwalks, and deals a bit more of damage than the route from above, therefore better use this route. Due to the slim body of Millia, doing `6H > 2Toss` can be inconsistent, therefore it's recommended to do `66 5H > 2Toss`.                                                                                                                                                                                                                                                                                                                                                                                                                                 | https://fireshare.fihome.xyz/w/16a9b8bf96146ff865e0bb9b4646015b |
| SG.D > Pull Berry > [SG.H] x3 > 2Toss        | 174                | *0 (3 through the setup) | Universal      <------ move move                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            | pending                                                         |
| SG.D > Pull Berry > SG.S > [SG.H] x2 > 2Toss | 166                | *0 (2 through the setup) | Universal       <------ move move                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | pending                                                         |
| SG.D > [SG.H] > 2H > [SG.H]                  | 166                | *0 (2 through the setup) | Universal        <------ move move                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                          | pending                                                         |
| SG.D + Berry setup cooked berry              | 180                | 2 (*3)                   | 3 [SG.H] can be done if we delay the SG.D so the whole combo duration is slightly reduced, nevertheless it's quite inconsistend therefore it's recommended to go for the 2 [SG.H] instead of 3.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/4f3b64d7259366733065dc445fe2e8b3 |
| SG.D + Berry setup uncooked berry            | 170                | 1 (*2)                   | 2 [SG.H] _can_ be done, yet i's too inconsistent.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | https://fireshare.fihome.xyz/w/86b0c6b41eeb8658ae3892ac85cf78e1 |
| SG.D + wt.Berry on hand  uncooked  berry     | 156                | 1                        | Requires a bit of time between pulling berry and using SG.D                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 | https://fireshare.fihome.xyz/w/745f5e6df87c4a37ad7998831d47bd39 |
| SG.D + wt.Berry on hand cooked berry         | 178                | 3                        | Lvl 4 Toss.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 | https://fireshare.fihome.xyz/w/e7cb2975ac9111724694f78db465c693 |
| Raw Berry                                    | 272                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/0feed420f3fea7be5780a11fadab9b00 |
| Raw Berry > SG.S                             | 268                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/625a64d91900a3ca2b4d98d6e07a768b |
| Raw Berry > SG.S > Bridal                    | 272                | 2                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | https://fireshare.fihome.xyz/w/abc29ba2ba53ec8936dc9dd6d42b8610 |
| Blitz                                        | 264                | 3                        |                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | pending                                                         |

## Same but with burst super


Routing:


[SG.H]x4 > SG.S > Pull > [SG.H]x3 > 6H > Toss > 6H > Bridal > bjbh: 345  (bjbh damage: 62)

vs 5H > Toss: 339  (6 of damage)

[SG.H]x3 > SG.S > Pull > [SG.H]x3 > 6H > Toss > 6H > Bridal > bjbh: 339  (bjbh damage: 62)  (one shotgun less)

[SG.H]x4 > SG.S > Pull > [SG.H]x3 > 5H > Toss > 6H > Genoverse > 6H > Bridal > bjbh: 345  (bjbh damage: ??)  (one shotgun less)



## Same but with burst super + hellfire



